For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETGet imports for DB
          • POSTCreate Import
          • GETGet Import by ID
          • POSTUpdates import
          • DELDelete Import
          • PUTUpdate import schedule
          • PUTUpdates the import with file delimiters
          • PUTUpdates the import's file_map after you've set the delimiters (see PUT|/dbs/{db_id}/imports/{import_id}/delimiters)
          • GETRetrieves auto detected imports
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformImports

Update import schedule

PUT
https://meta.feedonomics.com/api.php/dbs/:db_id/imports/:import_id/schedule
PUT
/api.php/dbs/:db_id/imports/:import_id/schedule
$curl -X PUT https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1/schedule \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "day": "-1",
> "hour": "-1",
> "minute": "-1"
>}'
200unset schedule
1{
2 "cron": "0 1 * * 1",
3 "paused": 0
4}
Was this page helpful?
Previous

Delete Import

Next

Updates the import with file delimiters

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_iddoubleRequired
import_iddoubleRequired

Headers

x-api-keystringRequired

Request

Json object containing 'day','hour','minute' with values, or 'paused' boolean, or both
daystringOptional
hourstringOptional
minutestringOptional
pauseddoubleOptional
0 or 1. 1 sets to paused. 0 is default.

Response

Updated schedule in cron format
cronstring
pauseddouble